Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wmps.operation
Class Messages

    java.lang.Object
      org.deegree.ogcwebservices.wmps.operation.Messages

    public class Messages

extends Object

Messages class provides the functionality to read response, exception messages from a properties file.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Anup Deshmukh, last edited by: $Author: mschneider $

Method Summary
`static String` | `format(String key, Object arg0)` Get Message along with the appropriate replacement for the object.
`static String` | `format(String key, Object[] arguments)` Get Message along with the appropriate replacement for the object(s).
`static String` | `format(String key, Object arg0, Object arg1)` Get Message along with the appropriate replacement for the objects.
`static String` | `format(String key, Object arg0, Object arg1, Object arg2)` Get Message along with the appropriate replacement for the objects.
`static String` | `getString(String key)` Get Message

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getString

    public static String getString(String key)

  Get Message

  Parameters:
    `key` -
  Returns:
    String

### format

    public static String format(String key,
                                Object arg0)

  Get Message along with the appropriate replacement for the object.

  Parameters:
    `key` -
    `arg0` -
  Returns:
    String

### format

    public static String format(String key,
                                Object arg0,
                                Object arg1)

  Get Message along with the appropriate replacement for the objects.

  Parameters:
    `key` -
    `arg0` -
    `arg1` -
  Returns:
    String

### format

    public static String format(String key,
                                Object arg0,
                                Object arg1,
                                Object arg2)

  Get Message along with the appropriate replacement for the objects.

  Parameters:
    `key` -
    `arg0` -
    `arg1` -
    `arg2` -
  Returns:
    String

### format

    public static String format(String key,
                                Object[] arguments)

  Get Message along with the appropriate replacement for the object(s).

  Parameters:
    `key` -
    `arguments` -
  Returns:
    String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org